Experiences
GET /experiences/{experienceId}
Get experience details with distributions
GET
/
experiences
/
{experienceId}
cURL
curl --request GET \
--url https://consumer.fanfare.io/api/experiences/{experienceId}const options = {method: 'GET'};
fetch('https://consumer.fanfare.io/api/experiences/{experienceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://consumer.fanfare.io/api/experiences/{experienceId}"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://consumer.fanfare.io/api/experiences/{experienceId}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"currencyCode": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"timeZone": "<string>",
"closeAt": "2023-11-07T05:31:56Z",
"hasProtectedSequences": true,
"i18n": {},
"openAt": "2023-11-07T05:31:56Z",
"products": [
{
"experienceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position": 123,
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product": {
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"defaultVariantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"handle": "<string>",
"metadata": {},
"primaryExternalId": "<string>",
"primaryLastSyncedAt": "2023-11-07T05:31:56Z",
"primarySourceVendor": "<string>",
"primarySyncSource": {
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"syncSource": "<string>",
"syncSourceId": "<string>",
"lastSyncedAt": "2023-11-07T05:31:56Z",
"sourceData": {},
"syncStatus": "PENDING",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>"
},
"primarySyncSourceId": "<string>",
"productMediaAssets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mediaAsset": {
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mimeType": "image/jpeg",
"name": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"altText": "<string>",
"description": "<string>",
"publicUrl": "<string>",
"sourceUrl": "<string>",
"thumbnailUrl": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"uploadUrl": "<string>"
},
"mediaAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position": 1,
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"purpose": "<string>"
}
],
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"variants": [
{
"options": [
{
"optionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"optionName": "<string>",
"value": "<string>",
"valueId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inventoryPolicy": "untracked",
"inventoryQuantity": 123,
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"price": "<string>",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sku": "<string>",
"metadata": {},
"primaryExternalId": "<string>",
"primaryLastSyncedAt": "2023-11-07T05:31:56Z",
"primarySourceVendor": "<string>",
"primarySyncSourceId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>"
}
]
},
"productVariant": {
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inventoryPolicy": "untracked",
"inventoryQuantity": 123,
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"price": "<string>",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sku": "<string>",
"metadata": {},
"primaryExternalId": "<string>",
"primaryLastSyncedAt": "2023-11-07T05:31:56Z",
"primarySourceVendor": "<string>",
"primarySyncSourceId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>"
},
"productVariantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"sequences": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"priority": 123,
"appointments": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timeZone": "<string>",
"bufferMinutes": 123,
"closeAt": "2023-11-07T05:31:56Z",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"maxCapacityPerSlot": 123,
"openAt": "2023-11-07T05:31:56Z",
"slotDurationMinutes": 123,
"statusOverride": "ended",
"statusOverrideAt": "2023-11-07T05:31:56Z",
"statusOverrideBy": "<string>",
"teardownStatus": "pending"
}
],
"auctions": [
{
"currencyCode": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settleAt": "2023-11-07T05:31:56Z",
"timeZone": "<string>",
"auctionType": "english",
"autoExtendSeconds": 123,
"closeAt": "2023-11-07T05:31:56Z",
"floorPrice": "<string>",
"minBidIncrement": "<string>",
"openAt": "2023-11-07T05:31:56Z",
"priceDropAmount": "<string>",
"priceDropIntervalSeconds": 123,
"quantity": 123,
"reservePrice": "<string>",
"startPrice": "<string>",
"statusOverride": "ended",
"statusOverrideAt": "2023-11-07T05:31:56Z",
"statusOverrideBy": "<string>",
"teardownStatus": "pending"
}
],
"audienceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"draws": [
{
"drawAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"supportsGuest": true,
"timeZone": "<string>",
"capacity": 123,
"closeAt": "2023-11-07T05:31:56Z",
"continueSelectingUntilCompleted": true,
"loyaltyBiasEnabled": true,
"openAt": "2023-11-07T05:31:56Z",
"statusOverride": "ended",
"statusOverrideAt": "2023-11-07T05:31:56Z",
"statusOverrideBy": "<string>",
"teardownStatus": "pending"
}
],
"experienceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productSelectionMode": "USER_SELECTED",
"queues": [
{
"admitRate": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"supportsGuest": true,
"timeZone": "<string>",
"admissionExpirationSeconds": 123,
"capacity": 123,
"closeAt": "2023-11-07T05:31:56Z",
"loyaltyBiasEnabled": true,
"maxAdmissions": 123,
"openAt": "2023-11-07T05:31:56Z",
"statusOverride": "ended",
"statusOverrideAt": "2023-11-07T05:31:56Z",
"statusOverrideBy": "<string>",
"teardownStatus": "pending"
}
],
"waitlist": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"capacity": 123
}
}
],
"theme": {
"background": "<string>",
"danger": "<string>",
"fontFamily": "<string>",
"fontHeading": "<string>",
"headerImageUrl": "<string>",
"logoUrl": "<string>",
"muted": "<string>",
"primary": "<string>",
"secondary": "<string>",
"success": "<string>",
"surface": "<string>",
"text": "<string>",
"variant": "default",
"warning": "<string>"
}
}{
"error": "validation_error",
"issues": [
{
"expected": "<string>",
"kind": "<string>",
"message": "<string>",
"path": [
{
"input": "<unknown>",
"key": "<string>",
"origin": "<string>",
"type": "<string>"
}
],
"received": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Path Parameters
Response
Experience details
Minimum string length:
1Minimum string length:
1Minimum string length:
1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
cURL
curl --request GET \
--url https://consumer.fanfare.io/api/experiences/{experienceId}const options = {method: 'GET'};
fetch('https://consumer.fanfare.io/api/experiences/{experienceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://consumer.fanfare.io/api/experiences/{experienceId}"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://consumer.fanfare.io/api/experiences/{experienceId}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"currencyCode": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"timeZone": "<string>",
"closeAt": "2023-11-07T05:31:56Z",
"hasProtectedSequences": true,
"i18n": {},
"openAt": "2023-11-07T05:31:56Z",
"products": [
{
"experienceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position": 123,
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product": {
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"defaultVariantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"handle": "<string>",
"metadata": {},
"primaryExternalId": "<string>",
"primaryLastSyncedAt": "2023-11-07T05:31:56Z",
"primarySourceVendor": "<string>",
"primarySyncSource": {
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"syncSource": "<string>",
"syncSourceId": "<string>",
"lastSyncedAt": "2023-11-07T05:31:56Z",
"sourceData": {},
"syncStatus": "PENDING",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>"
},
"primarySyncSourceId": "<string>",
"productMediaAssets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mediaAsset": {
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mimeType": "image/jpeg",
"name": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"altText": "<string>",
"description": "<string>",
"publicUrl": "<string>",
"sourceUrl": "<string>",
"thumbnailUrl": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"uploadUrl": "<string>"
},
"mediaAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position": 1,
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"purpose": "<string>"
}
],
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"variants": [
{
"options": [
{
"optionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"optionName": "<string>",
"value": "<string>",
"valueId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inventoryPolicy": "untracked",
"inventoryQuantity": 123,
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"price": "<string>",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sku": "<string>",
"metadata": {},
"primaryExternalId": "<string>",
"primaryLastSyncedAt": "2023-11-07T05:31:56Z",
"primarySourceVendor": "<string>",
"primarySyncSourceId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>"
}
]
},
"productVariant": {
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inventoryPolicy": "untracked",
"inventoryQuantity": 123,
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"price": "<string>",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sku": "<string>",
"metadata": {},
"primaryExternalId": "<string>",
"primaryLastSyncedAt": "2023-11-07T05:31:56Z",
"primarySourceVendor": "<string>",
"primarySyncSourceId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>"
},
"productVariantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"sequences": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"priority": 123,
"appointments": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timeZone": "<string>",
"bufferMinutes": 123,
"closeAt": "2023-11-07T05:31:56Z",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"maxCapacityPerSlot": 123,
"openAt": "2023-11-07T05:31:56Z",
"slotDurationMinutes": 123,
"statusOverride": "ended",
"statusOverrideAt": "2023-11-07T05:31:56Z",
"statusOverrideBy": "<string>",
"teardownStatus": "pending"
}
],
"auctions": [
{
"currencyCode": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settleAt": "2023-11-07T05:31:56Z",
"timeZone": "<string>",
"auctionType": "english",
"autoExtendSeconds": 123,
"closeAt": "2023-11-07T05:31:56Z",
"floorPrice": "<string>",
"minBidIncrement": "<string>",
"openAt": "2023-11-07T05:31:56Z",
"priceDropAmount": "<string>",
"priceDropIntervalSeconds": 123,
"quantity": 123,
"reservePrice": "<string>",
"startPrice": "<string>",
"statusOverride": "ended",
"statusOverrideAt": "2023-11-07T05:31:56Z",
"statusOverrideBy": "<string>",
"teardownStatus": "pending"
}
],
"audienceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"draws": [
{
"drawAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"supportsGuest": true,
"timeZone": "<string>",
"capacity": 123,
"closeAt": "2023-11-07T05:31:56Z",
"continueSelectingUntilCompleted": true,
"loyaltyBiasEnabled": true,
"openAt": "2023-11-07T05:31:56Z",
"statusOverride": "ended",
"statusOverrideAt": "2023-11-07T05:31:56Z",
"statusOverrideBy": "<string>",
"teardownStatus": "pending"
}
],
"experienceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productSelectionMode": "USER_SELECTED",
"queues": [
{
"admitRate": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"supportsGuest": true,
"timeZone": "<string>",
"admissionExpirationSeconds": 123,
"capacity": 123,
"closeAt": "2023-11-07T05:31:56Z",
"loyaltyBiasEnabled": true,
"maxAdmissions": 123,
"openAt": "2023-11-07T05:31:56Z",
"statusOverride": "ended",
"statusOverrideAt": "2023-11-07T05:31:56Z",
"statusOverrideBy": "<string>",
"teardownStatus": "pending"
}
],
"waitlist": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"capacity": 123
}
}
],
"theme": {
"background": "<string>",
"danger": "<string>",
"fontFamily": "<string>",
"fontHeading": "<string>",
"headerImageUrl": "<string>",
"logoUrl": "<string>",
"muted": "<string>",
"primary": "<string>",
"secondary": "<string>",
"success": "<string>",
"surface": "<string>",
"text": "<string>",
"variant": "default",
"warning": "<string>"
}
}{
"error": "validation_error",
"issues": [
{
"expected": "<string>",
"kind": "<string>",
"message": "<string>",
"path": [
{
"input": "<unknown>",
"key": "<string>",
"origin": "<string>",
"type": "<string>"
}
],
"received": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}